1 Star 0 Fork 10

多多de棉花糖 / LNMT

forked from 小董 / LNMT 
Create your Gitee Account
Explore and code with more than 6 million developers,Free private repositories !:)
Sign up
Clone or download
init.d.tomcat 1.99 KB
Copy Edit Web IDE Raw Blame History
小董 authored 2015-01-30 13:49 . Initial commit
#! /bin/sh
# chkconfig: 2345 55 25
# Description: Startup script for tomcat webserver on Debian. Place in /etc/init.d and
# run 'update-rc.d -f tomcat defaults', or use the appropriate command on your
# distro. For CentOS/Redhat run: 'chkconfig --add tomcat'
### BEGIN INIT INFO
# Provides: tomcat
# Required-Start: $all
# Required-Stop: $all
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: starts the tomcat web server
# Description: starts tomcat using start-stop
### END INIT INFO
# Author: XiaoDong
# website: http://lnmt.org
JAVA_HOME=/usr/local/jre
CATALANA_HOME=/usr/local/tomcat
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin:$JAVA_HOME/bin:$CATALANA_HOME/bin
NAME=tomcat
PROC_NAME=java
SCRIPTNAME=/etc/init.d/tomcat
case "$1" in
start)
echo -n "Starting $NAME... "
if netstat -tnpl | grep -q java;then
echo "$NAME (pid `pidof $PROC_NAME`) already running."
exit 1
fi
$CATALANA_HOME/bin/startup.sh
if [ "$?" != 0 ] ; then
echo " failed"
exit 1
else
echo " done"
fi
;;
stop)
echo -n "Stoping $NAME... "
if ! netstat -tnpl | grep -q java; then
echo "$NAME is not running."
exit 1
fi
$CATALANA_HOME/bin/shutdown.sh
if [ "$?" != 0 ] ; then
echo " failed. Use force-quit"
exit 1
else
echo " done"
fi
;;
status)
if netstat -tnpl | grep -q java; then
PID=`pidof java`
echo "$NAME (pid $PID) is running..."
else
echo "$NAME is stopped"
exit 0
fi
;;
force-quit)
echo -n "Terminating $NAME... "
if ! netstat -tnpl | grep -q java; then
echo "$NAME is not running."
exit 1
fi
kill `pidof $PROC_NAME`
if [ "$?" != 0 ] ; then
echo " failed"
exit 1
else
echo " done"
fi
;;
restart)
$SCRIPTNAME stop
sleep 1
$SCRIPTNAME start
;;
*)
echo "Usage: $SCRIPTNAME {start|stop|force-quit|restart|status}"
exit 1
;;
esac

Comment ( 0 )

Sign in for post a comment

1
https://gitee.com/hugcoday/LNMT.git
git@gitee.com:hugcoday/LNMT.git
hugcoday
LNMT
LNMT
master

Search